#ifndef BUILDINGEDITORDIALOG_H
#define BUILDINGEDITORDIALOG_H

#include <QDialog>
#include <QDataWidgetMapper>
#include <QSqlRelationalTableModel>

namespace Ui {
    class BuildingEditorDialog;
}

class BuildingEditorDialog : public QDialog
{
    Q_OBJECT

public:
    BuildingEditorDialog(QWidget *parent = 0);
    ~BuildingEditorDialog();

private slots:
    void addButton_Clicked();
    void removeButton_Clicked();
    void submitButton_Clicked();
    void model_BeforeInsert(QSqlRecord& record);
    void updateButtons(int row);

private:
    void setupModel();
    void setupUi();
    void setupMapper();

    Ui::BuildingEditorDialog *_ui;

    QSqlRelationalTableModel* _model;
    QDataWidgetMapper* _mapper;
};

#endif // BUILDINGEDITORDIALOG_H
